# $Id: smeserver-adv-samba.spec,v 1.1 2013/11/12 18:52:01 vip-ire Exp $
# Authority: gzartman
# Name: Greg Zartman

Summary: SME Server specific advanced Samba configuration files and templates
%define name smeserver-adv-samba
Name: %{name}
%define version 0.2.0
%define release 1
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.xz
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
BuildRequires: e-smith-devtools >= 1.13.1-03
Requires: e-smith-samba >= 2.0.0
Requires: e-smith-base  >= 5.0.0
Requires: samba-common >= 3.0.25b
AutoReqProv: no

%changelog
* Tue Nov 12 2013 Daniel Berteaud <daniel@firewall-services.com> 0.2.0-1.sme
- Rebuild for SME9

* Thu Dec 2 2010 Shad L. Lords <slords@mail.com> 0.1.0-7.sme
- Fix logging directory for winbind

* Thu Dec 2 2010 Shad L. Lords <slords@mail.com> 0.1.0-6.sme
- Reduce requires to samba-common to fix upgrades.

* Tue Nov 5 2008 Greg J. Zartman <greg@leiinc.com> 0.1.0-5
- Add nsswitch.conf and pam.d/login fragments to workgroup-update
  templates2expand [SME: 4729].

* Wed Oct 15 2008 Greg J. Zartman <greg@leiinc.com> 0.1.0-4
- Update winbindd-service-status action to set service to disabled if 
  service is enabled and ServerRole is changed.

* Tue Oct 14 2008 Greg J. Zartman <greg@leiinc.com> 0.1.0-3
- Set winbindd to disabled by default and on initial install, was 
  previouslly enabled by default.
- Create action to start winbindd if the DM or ADM server roles are designated.

* Tue Sep 30 2008 Greg J. Zartman <greg@leiinc.com> 0.1.0-2
- Add template fragments to etc/pam.d/login to look for winbindd auth is
  winbindd is running [SME: 4196].
- Add a template fragment to ibays to set the samba 'force group'
  parameter to the current ibay group or the group shared when SME is
  configured as a Domain Member of Active Directory Member.  The is required
  so that domain members can have write access to domain member shares.  At
  some point, we may decide to fully support domain groups transparently
  at the domain member or active directory member server [SME: 4196].

* Fri Apr 11 2008 Greg J. Zartman <greg@leiinc.com> 0.1.0-1
- Roll initial package.
- Provide configuration parameters to deploy Samba winbindd deamon.
- Add template to nsswitch.conf to configure nss to include winbindd auth.
  The configuration parameters included in this fragment really belong
  in e-smith-base, but we are including it in this package until it is 
  deemed appropriate to move it to e-smith-base.  

%description
This package shall serve as a testbed for advanced Samba functions on the
SME Server.  This package will not conflict with e-smith-samba, but will 
expand upon it.  The PRIMARY design objective of new functions included in 
this package is to implement them with the intent of including them in the 
SME Core packages in a "drop in" fashion (i.e., cut and paste).

Ever effort will be made to maintain this package for use in a 
production network.  However, certain functions provided by this package 
could introduce situations that might comprise the stability of 
the SME Server if not used properly.  This is the nature of a testbed.
smeserver-adv-samba is to e-smith-samba as Fedora Core is to RHEL.

%prep
%setup

%build
perl createlinks

# Manage supervise and multilog for winbindd.
mkdir -p root/service
ln -s ../var/service/winbindd root/service/winbindd
mkdir -p root/var/service/winbindd/supervise
touch root/var/service/winbindd/down
mkdir -p root/var/service/winbindd/log/supervise
mkdir -p root/var/log/winbindd

%install
rm -rf $RPM_BUILD_ROOT

(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist \
    --dir '/var/service/winbindd' 'attr(1755,root,root)' \
    --file '/var/service/winbindd/down' 'attr(0644,root,root)' \
    --file '/var/service/winbindd/run' 'attr(0755,root,root)' \
    --dir '/var/service/winbindd/supervise' 'attr(0700,root,root)' \
    --dir '/var/service/winbindd/log' 'attr(1755,root,root)' \
    --file '/var/service/winbindd/log/run' 'attr(0755,root,root)' \
    --dir '/var/log/winbindd' 'attr(2750,smelog,smelog)' \
    $RPM_BUILD_ROOT \
    > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%post
chown -R smelog.smelog /var/log/winbindd

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
